/*
 * Hedgewars, a free turn based strategy game
 * Copyright (c) 2013 Vittorio Giovara <vittorio.giovara@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#define AMMOLINE_EMPTY_QT       "000000900000000000000000000000000000000000000000000000000000"
#define AMMOLINE_EMPTY_PROB     "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_EMPTY_DELAY    "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_EMPTY_CRATE    "131111031211111112311411111111111111121111111111111111111111"

/*
 AmmoType lookup table (use monospace font / cursor movements)

 amGrenade-----------------------|
 amClusterBomb--------------------|
 amBazooka-------------------------|
 amBee------------------------------|
 amShotgun---------------------------|
 amPickHammer-------------------------|
 amSkip--------------------------------|
 amRope---------------------------------|
 amMine----------------------------------|
 amDEagle---------------------------------|
 amDynamite--------------------------------|
 amFirePunch--------------------------------|
 amWhip--------------------------------------|
 amBaseballBat--------------------------------|
 amParachute-----------------------------------|
 amAirAttack------------------------------------|
 amMineStrike------------------------------------|
 amBlowTorch--------------------------------------|
 amGirder------------------------------------------|
 amTeleport-----------------------------------------|
 amSwitch--------------------------------------------|
 amMortar---------------------------------------------|
 amKamikaze--------------------------------------------|
 amCake-------------------------------------------------|
 amSeduction---------------------------------------------|
 amWatermelon---------------------------------------------|
 amHellishBomb---------------------------------------------|
 amNapalm---------------------------------------------------|
 amDrill-----------------------------------------------------|
 amBallgun----------------------------------------------------|
 amRCPlane-----------------------------------------------------|
 amLowGravity---------------------------------------------------|
 amExtraDamage---------------------------------------------------|
 amInvulnerable---------------------------------------------------|
 amExtraTime-------------------------------------------------------|
 amLaserSight-------------------------------------------------------|
 amVampiric----------------------------------------------------------|
 amSniperRifle--------------------------------------------------------|
 amJetpack-------------------------------------------------------------|
 amMolotov--------------------------------------------------------------|
 amBirdy-----------------------------------------------------------------|
 amPortalGun--------------------------------------------------------------|
 amPiano-------------------------------------------------------------------|
 amGasBomb------------------------------------------------------------------|
 amSineGun-------------------------------------------------------------------|
 amFlamethrower---------------------------------------------------------------|
 amSMine-----------------------------------------------------------------------|
 amHammer-----------------------------------------------------------------------|
 amResurrector-------------------------------------------------------------------|
 amDrillStrike--------------------------------------------------------------------|
 amSnowball------------------------------------------------------------------------|
 amTardis---------------------------------------------------------------------------|
 amLandGun---------------------------------------------------------------------------|
 amIceGun-----------------------------------------------------------------------------|
 amKnife-------------------------------------------------------------------------------|
 amRubber-------------------------------------------------------------------------------|
 amAirMine-------------------------------------------------------------------------------|
 amCreeper--------------------------------------------------------------------------------|
 amMinigun---------------------------------------------------------------------------------|
 amSentry-----------------------------------------------------------------------------------|
*/
#define AMMOLINE_DEFAULT_QT     "939192942219912103223511100120000000021110010101111100010001"
#define AMMOLINE_DEFAULT_PROB   "040504054160065554655446477657666666615551010111541111111073"
#define AMMOLINE_DEFAULT_DELAY  "000000000000020550000004000700400000000022000000060002000000"
#define AMMOLINE_DEFAULT_CRATE  "131111031211111112311411111111111111121111111111111111111111"

#define AMMOLINE_CRAZY_QT       "999999999999999999299999999999999929999999999999999299919099"
#define AMMOLINE_CRAZY_PROB     "111111011111111111111111111111111111111111111111111111111011"
#define AMMOLINE_CRAZY_DELAY    "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_CRAZY_CRATE    "131111031211111112311411111111111111121111111111111111111111"

#define AMMOLINE_PROMODE_QT     "909000900000000000000900000000000000000000000000000000000000"
#define AMMOLINE_PROMODE_PROB   "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_PROMODE_DELAY  "000000000000020550000004000700400000000020000000000002000000"
#define AMMOLINE_PROMODE_CRATE  "111111011111111111111111111111111111111111111111111111111111"

#define AMMOLINE_SHOPPA_QT      "000000990000000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPA_PROB    "444441004424440221011212122242200000000200040001001100101010"
#define AMMOLINE_SHOPPA_DELAY   "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPA_CRATE   "111111011111111111111111111111111111111111111111111111111111"

#define AMMOLINE_CLEAN_QT       "101000900001000001100000000000000000000000000000100000000000"
#define AMMOLINE_CLEAN_PROB     "040504054160065554655446477657666666615551010111541112111040"
#define AMMOLINE_CLEAN_DELAY    "000000000000000000000000000000000000000000000000000002000000"
#define AMMOLINE_CLEAN_CRATE    "131111031211111112311411111111111111121111111111111111111111"

#define AMMOLINE_MINES_QT       "000000990009000000030000000000000000000000000000000000000000"
#define AMMOLINE_MINES_PROB     "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_MINES_DELAY    "000000000000020550000004000700400000000020000000060002000000"
#define AMMOLINE_MINES_CRATE    "111111011111111111111111111111111111111111111111111111111111"

#define AMMOLINE_PORTALS_QT     "900000900200000000210000000000000011000009000000000000000000"
#define AMMOLINE_PORTALS_PROB   "040504054160065554655446477657666666615551010111541112111020"
#define AMMOLINE_PORTALS_DELAY  "000000000000020550000004000700400000000020000000060002000000"
#define AMMOLINE_PORTALS_CRATE  "131111031211111112311411111111111111121111111111111111111111"

#define AMMOLINE_ONEEVERY_QT    "111111911111111111111111111111111111111111111111111111111011"
#define AMMOLINE_ONEEVERY_PROB  "111111011111111111111111111111111111111111111111111111111011"
#define AMMOLINE_ONEEVERY_DELAY "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_ONEEVERY_CRATE "111111011111111111111111111111111111111111111111111111111111"

#define AMMOLINE_BRW_QT         "333233923323323223232331311221130000032322030220222000203010"
#define AMMOLINE_BRW_PROB       "000000000000000000000000000000001111100000000000000000000000"
#define AMMOLINE_BRW_DELAY      "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_BRW_CRATE      "111111011111111111111111111111111111111111111111111111111111"

#define AMMOLINE_HIGHLANDER_QT    "111111911111111111110191111111111001011111011110010010111010"
#define AMMOLINE_HIGHLANDER_PROB  "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HIGHLANDER_DELAY "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HIGHLANDER_CRATE "000000000000000000000000000000000000000000000000000000000001"

#define AMMOLINE_CONSTRUCTION_QT    "110001900000001001009000000000000000000000000000000000000000"
#define AMMOLINE_CONSTRUCTION_PROB  "111111011111111001000111111011111111111111011111001011101010"
#define AMMOLINE_CONSTRUCTION_DELAY "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_CONSTRUCTION_CRATE "111111011111111111111111111111111111111111111111111111111111"

#define AMMOLINE_SHOPPAPRO_QT      "000000990000000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPAPRO_PROB    "444440004404440000000000000040000000000000000000000000000000"
#define AMMOLINE_SHOPPAPRO_DELAY   "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_SHOPPAPRO_CRATE   "111111011111111111111111111111111111111111111111111112111111"

#define AMMOLINE_HEDGEEDITOR_QT    "000000900000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HEDGEEDITOR_PROB  "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HEDGEEDITOR_DELAY "000000000000000000000000000000000000000000000000000000000000"
#define AMMOLINE_HEDGEEDITOR_CRATE "111111011111111111111111111111111111111111111111111111111111"
